org.jboss.jca.core.api.management

## Class Connector

- java.lang.Object
- - org.jboss.jca.core.api.management.Connector

-     public class Connector
      extends java.lang.Object

  Represents a connector instance
  Author:
    Jesper Pedersen, Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Connector(java.lang.String uniqueId)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AdminObject>` | `getAdminObjects()` Get the list of admin objects
    `java.util.List<ConnectionFactory>` | `getConnectionFactories()` Get the list of connection factories
    `java.util.List<ConnectionManager>` | `getConnectionManagers()` Get the list of connection managers
    `ResourceAdapter` | `getResourceAdapter()` Get the resource adapter
    `java.lang.String` | `getUniqueId()` Get the unique id
    `void` | `setResourceAdapter(ResourceAdapter ra)` Set the resource adapter
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Connector

          public Connector(java.lang.String uniqueId)

      Constructor
      Parameters:
        `uniqueId` - The unique id

  - ### Method Detail

    - #### getUniqueId

          public java.lang.String getUniqueId()

      Get the unique id
      Returns:
        The value

    - #### getResourceAdapter

          public ResourceAdapter getResourceAdapter()

      Get the resource adapter
      Returns:
        The value

    - #### setResourceAdapter

          public void setResourceAdapter(ResourceAdapter ra)

      Set the resource adapter
      Parameters:
        `ra` - The value

    - #### getConnectionFactories

          public java.util.List<ConnectionFactory> getConnectionFactories()

      Get the list of connection factories
      Returns:
        The value

    - #### getAdminObjects

          public java.util.List<AdminObject> getAdminObjects()

      Get the list of admin objects
      Returns:
        The value

    - #### getConnectionManagers

          public java.util.List<ConnectionManager> getConnectionManagers()

      Get the list of connection managers
      Returns:
        The value

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)